Skip to navigation

Skip a payment schedule item

View as Markdown

Skips a payment schedule item by ID. The skipped payment schedule item will turn to the canceled status, and a new item will be scheduled on the next recurring date after the last existing scheduled date.

Note:

  • Only payment schedule items in recurring payment schedules can be skipped, and the item must be in the pending status.
  • The Payment Schedules feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see Manage Features in the Knowledge Center.
  • This operation is only available if you have Invoice Settlement enabled.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

item-idstringRequired
The unique ID of a payment schedule item.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
amountdoubleOptional
The amount of the payment.
billingDocumentobjectOptional
cancellationReasonstringOptional
The reason for the cancellation of payment schedule item.
createdByIdstringOptional
The ID of the user who created the payment schedule item.
createdDatedateOptional
The date and time when the payment schedule item was created.
currencystringOptional
The currency of the payment.
descriptionstringOptional
The description of the payment schedule item.
errorMessagestringOptional
The error message indicating if the error is related to the configuration or the payment collection.
idstringOptional

ID of the newly-created payment schedule item. For example, 412880e749b72b310149b7343ef81346.

numberstringOptional

Number of the newly-created payment schedule item.

paymentGatewayIdstring or nullOptional
ID of the payment gateway of the payment schedule item.
paymentMethodIdstringOptional
ID of the payment method of the payment schedule item.
paymentOptionlist of objectsOptional

Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported.

paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item.

paymentScheduleIdstringOptional

ID of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005,

paymentScheduleNumberstringOptional

Number of the payment schedule that contains the payment schedule item, for example, ID402880e749b72b310149b7343ef80005,

psiPaymentslist of objectsOptional
Container for payments linked to the payment schedule item.
runHourintegerOptional

At which hour in the day in the tenant’s timezone this payment will be collected.

scheduledDatedateOptional
The scheduled date when the payment is processed.
standalonebooleanOptional
Indicates if the payment created by the payment schedule item is a standalone payment.
statusenumOptional

ID of the payment method of the payment schedule item.

  • Pending: Waiting for processing.
  • Processed: The payment has been collected.
  • Error: Failed to collect the payment.
  • Canceled: After a pending payment schedule item is canceled by the user, the item is marked as Canceled.
Allowed values:
successbooleanOptional

Returns true if the request was processed successfully.

updatedByIdstringOptional
The ID of the user who updated the payment schedule item.
updatedDatedateOptional
The date and time when the payment schedule item was last updated.

Errors

4XX
Client Request Error
500
Internal Server Error